Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans
Class XmlLineNumber

    java.lang.Object
      org.apache.xmlbeans.XmlCursor.XmlBookmark
          org.apache.xmlbeans.XmlLineNumber

    public class XmlLineNumber

extends XmlCursor.XmlBookmark

A subclass of XmlBookmark that holds line number information. If a document is parsed with line numbers enabled, these bookmarks will be placed at appropriate locations within the document.

See Also:
  `XmlOptions.setLoadLineNumbers()`

Field Summary

Fields inherited from class org.apache.xmlbeans.XmlCursor.XmlBookmark
`_currentMark, _ref`

Constructor Summary
`XmlLineNumber(int line)` Constructs a line number with no column or offset information.
`XmlLineNumber(int line, int column)` Constructs a line number and column with no file offset information.
`XmlLineNumber(int line, int column, int offset)` Constructs a line number and column with no file offset information.

Method Summary
`int` | `getColumn()` Returns the 1-based column number, or -1 if not known.
`int` | `getLine()` Returns the 1-based line number, or -1 if not known.
`int` | `getOffset()` Returns the 0-based file offset number, or -1 if not known.

Methods inherited from class org.apache.xmlbeans.XmlCursor.XmlBookmark
`createCursor, getKey, toBookmark`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlLineNumber

    public XmlLineNumber(int line)

  Constructs a line number with no column or offset information.

  Parameters:
    `line` - the line number - the first line is 1

### XmlLineNumber

    public XmlLineNumber(int line,
                         int column)

  Constructs a line number and column with no file offset information.

  Parameters:
    `line` - the line number - the first line is 1
    `line` - the column number - the first column is 1

### XmlLineNumber

    public XmlLineNumber(int line,
                         int column,
                         int offset)

  Constructs a line number and column with no file offset information.

  Parameters:
    `line` - the line number - the first line is 1
    `line` - the column number - the first column is 1
    `line` - the file character offset - the first character in the file is 0

Method Detail

### getLine

    public int getLine()

  Returns the 1-based line number, or -1 if not known.

### getColumn

    public int getColumn()

  Returns the 1-based column number, or -1 if not known.

### getOffset

    public int getOffset()

  Returns the 0-based file offset number, or -1 if not known.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD